package com.mesolabs.beans.learnerlab;
/*
Create a `Classroom` class.
	* The class should consume and set composite reference to an `Instructors`
	 * and `Students` object upon construction
	* The class should define a method `hostLecture` which makes use of a `Teacher teacher,
	* double numberOfHours` parameter to host a `lecture` to the composite `personList`
	* field in the `students` reference.

 */

public class Classroom {

    private Instructor instructor ;
    private  Students students ;

    public Classroom(Instructor instructor, Students students) {
        this.instructor = instructor;
        this.students = students;
    }


    public void hostLecture(Teacher  teacher ,double numberOfHours){
        teacher .lecture(students,numberOfHours   );

    }


}
