package com.mesolabs.beans.learnerlab;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.DependsOn;

@Configuration

public class Classroomconfig {
    @Bean(name="currentCohort")
    @DependsOn({"instructors","students"})

    public Classroom  currentCohort(Instructors instructors ,Students students ){
         Classroom currentCohort = new Classroom(instructors,students);
         return currentCohort ;


    }
    @Bean(name="previousCohort")
    @DependsOn({"instructors","previous"})

    public Classroom previousCohort(Instructors instructors, Students previous){

        Classroom previousCohort = new Classroom(instructors,previous);

        return previousCohort;
    }
}
