package com.mesolabs.beans.learnerlab;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Primary;

public class InstructorConfig {


    @Bean(name = "toUsaInstructors")
    public Instructors tcUsaInstructors(){

        return new Instructors(
                new Instructor(0L, "Wilhelm"),
                new Instructor(1L, "BobbyFLay"),
                new Instructor(2L, "WakaFLocka")
        );
    }

    @Bean(name = "tcUkInstructors")
    public Instructors tcUkInstructors(){
        return new Instructors(
                new Instructor(0L, "Quavo"),
                new Instructor(0L, "Offset"),
                new Instructor(0L, "Takeoff")
        );
    }

    @Primary
    @Bean(name = "allInstructors")
    public Instructors allInstructors(){
        return new Instructors();
    }
}


