package com.mesolabs.beans.learnerlab;
/*
Create a `Student` class such that:
	* `Student` is a subclass of `Person`
	* `Student` implements the `Learner` interface
	* `Student` should have an instance variable `totalStudyTime` of type `double`
	* `Student` should have a concrete implementation of the `learn` method which increments the `totalStudyTime`
	         *  variable by the specified `numberOfHours` argument.
	* `Student` should have a `getTotalStudyTime()` method which returns the `totalStudyTime` instance variable.


 */

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.info.GitProperties;

public   class  Student  extends Person implements Learner {

    Double totalStudyTime;

    //@Autowired
    //private GitProperties gitProperties;

    public Student(Long id, String name) {

        super(id, name);
    }

    public void learn(double numberOfHours){

        totalStudyTime += numberOfHours ;
    }

    public double getTotalStudyTime() {

        return totalStudyTime;
    }
}
