package com.mesolabs.beans.learnerlab;
/*
Create a `Teacher` interface.
	* `Teacher` should declare a `teach` method signature:
		* Method name: `teach`
		* Method parameters:
			* `Learner learner`
			* `double numberOfHours`
		* Method return-type: `void`

	* `Teacher` should declare a `lecture` method signature:
		* Method name: `lecture`
		* Method parameters:
			* `Iterable<? extends Learner> learners`
			* `double numberOfHours`
		* Method return-type: `void`
 */
public interface Teacher {
     void teach(Learner learner ,double  numberOfHours);

     void lecture (Iterable<? extends Learner> learners, double numberOfHours);
}
